Details

    • Type: Improvement Improvement
    • Status: Closed Closed
    • Priority: Major Major
    • Resolution: Fixed
    • Affects Version/s: TIMELINE-1.1
    • Fix Version/s: TIMELINE-1.2
    • Component/s: TimeLine
    • Labels:
      None
    • Environment:
      Internet Explorer
    • Number of attachments :
      0

      Description

      Access Google API in HTTPS in order to avoid a warning message each time the timeline view is displayed.

      For more information, see Sonar user mailing list: http://old.nabble.com/-Timeline--Warning-message-through-HTTPS-protocol-td31813328.html#a31813328

        Activity

        Hide
        Evgeny Mandrikov added a comment -

        Note : URL comes from library gwt-visualization , which provided by Google. This URL was hard-coded to HTTP in version 1.0.2 and this version currenly used in plugin. Correct handling (HTTP vs HTTPS) was introduced in 1.1.0 (latest version for the moment - 1.1.1), but unfortunately only 1.0.2 available in central Maven repository.
        Possible actions : request to deploy into central Maven repository or deploy into own Sonar repository, but in any case seems that without upgrade this issue can't be resolved.

        Show
        Evgeny Mandrikov added a comment - Note : URL comes from library gwt-visualization , which provided by Google. This URL was hard-coded to HTTP in version 1.0.2 and this version currenly used in plugin. Correct handling (HTTP vs HTTPS) was introduced in 1.1.0 (latest version for the moment - 1.1.1), but unfortunately only 1.0.2 available in central Maven repository. Possible actions : request to deploy into central Maven repository or deploy into own Sonar repository, but in any case seems that without upgrade this issue can't be resolved.
        Hide
        Evgeny Mandrikov added a comment - - edited

        Another solution was done in r4143 : update only part of gwt-visualition - gwt-ajaxloader to 1.1.0.

        Be aware that there is other issues with HTTPS vs HTTP - e.g. SONAR-2296

        Show
        Evgeny Mandrikov added a comment - - edited Another solution was done in r4143 : update only part of gwt-visualition - gwt-ajaxloader to 1.1.0. Be aware that there is other issues with HTTPS vs HTTP - e.g. SONAR-2296

          People

          • Assignee:
            Evgeny Mandrikov
            Reporter:
            LOGICA Software Quality Center
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved: